import request from '@/utils/request'

// 查询DASHBOARD每日抓取数据列表
export function listDashboardday(query) {
  return request({
    url: '/aspen/dashboardday/list',
    method: 'get',
    params: query
  })
}

// 查询DASHBOARD每日抓取数据详细
export function getDashboardday(id) {
  return request({
    url: '/aspen/dashboardday/' + id,
    method: 'get'
  })
}

// 新增DASHBOARD每日抓取数据
export function addDashboardday(data) {
  return request({
    url: '/aspen/dashboardday',
    method: 'post',
    data: data
  })
}

// 修改DASHBOARD每日抓取数据
export function updateDashboardday(data) {
  return request({
    url: '/aspen/dashboardday',
    method: 'put',
    data: data
  })
}

// 删除DASHBOARD每日抓取数据
export function delDashboardday(id) {
  return request({
    url: '/aspen/dashboardday/' + id,
    method: 'delete'
  })
}

// 导出DASHBOARD每日抓取数据
export function exportDashboardday(query) {
  return request({
    url: '/aspen/dashboardday/export',
    method: 'get',
    params: query
  })
}
